QGIS Application - Bug report #16157
Generic Help system: Behavior of the '+' button is not really obvious
2017-02-07 04:15 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24069
Description

Go to Settings --> Options --> System --> Documentation Paths

Click the '+' button

It looks like nothing happened. But actually a new row has been added to the frame below

It would be nice to automatically place the focus on the added row (with the cursor inside, ready to type)

More generally, this behaviour is different from the other '+' buttons in the dialog. Those ones open the file browser to pick the folder you
want.

| know that the doc one can also add hyperlink but.... Maybe can we find a dialog that helps to do both???... | don't know really how yet
(sorry!)

Associated revisions

Revision 3cd37be0 - 2017-05-01 12:58 PM - Alexander Bruy

add placeholder when new help location entry added (fix #16157)

History

#1 - 2017-04-27 05:37 AM - Alexander Bruy
- Tag deleted (Help system)

It is consistent with some other settings, e.g. datum transformations.

#2 - 2017-04-27 06:16 AM - Harrissou Santanna

Indeed, it's. But browsing the whole dialog, | think it's the only one that behaves like that. And | do not feel that this behaviour of Datum is a good one.

If we want to keep such simple way to add links, then give a look to the Network tab --> Use proxy for web access --> Exclude URLs option: it adds a row
but with 'URL' typed in. The user is then aware that a new line is added and can write/paste anything in it. Otherwise, he could be waiting for something and
think it's broken (as | experienced the first time).

#3 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2017-05-01 12:59 PM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|3cd37be0d6a0ad0e4a96842d4d7bd7e30568914d.
